HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

Update Plan Add-On

Update the pricing information or description for an add-on. Existing subscriptions with the add-on will not receive any pricing updates.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique code to identify the plan.

string
required

The unique add-on code.

Body Params
string

Add-on name. Max of 255 characters. If add-on has an associated item, name is not updatable.

unit_amount_in_cents
array of objects

Array of unit amounts with their currency code. Max 10000000. If tiers is present, unit_amount_in_cents must be absent. Otherwise unit_amount_in_cents is required.

unit_amount_in_cents
integer

Default quantity for the hosted pages.

string

If true, display a quantity field on the hosted pages for the add-on. Must be true if tier_type != flat

string

Accounting code for invoice line items for the add-on, defaults to the value of add_on_code. Max of 20 characters. If add-on has an associated item, accounting_code is not updatable.

string

Optional field for setting a revenue schedule type if add_on_type = fixed. This will determine how revenue for the associated Plan Add-On should be recognized. When creating a Plan Add-On, available schedule types are never, evenly, at_range_start, or at_range_end. If add-on has an associated item, revenue_schedule_type is not updatable.

string
length ≤ 50

Optional field used by Avalara, Vertex, and Recurly's In-the-Box tax solution to determine taxation rules. You can pass in specific tax codes using any of these tax integrations. For Recurly's In-the-Box tax offering you can also choose to instead use simple values of unknown, physical, or digital tax codes. If an Item is associated to the AddOn then tax_code must be absent.

boolean
Defaults to true

Whether the add-on is optional for the customer to include in their purchase on the hosted payment page. If false, the add-on will be included when a subscription is created through the Recurly UI. However, the add-on will not be included when a subscription is created through the API. See https://recurly.com/developers/api-v2/latest/#operation/createSubscriptionWithAddOns for how to create a subscription with add-ons using the API.

string

The id of the measured unit on your site associated with the add-on. If add-on has an associated item, measured_unit_id is not updatable.

string
^(100(\.0{1,4})?|\d{1,2}(\.\d{1,4})?)$

The percentage taken of the monetary amount of usage tracked. This can be up to 4 decimal places. A value between 0.0000 and 100. Required if add_on_type is usage, usage_type is percentage and tier_type = flat. Must be omitted otherwise. For percentage tiered add ons use the percentage_tiers object.

tiers
array of objects

If the tier_type is flat, then tiers must be absent. The tiers object must include one to many tiers with ending_quantity and unit_amount_in_cents for the desired currencies. There must be one tier with an ending_quantity of 999999999 which is the default if not provided.

Tiers
percentage_tiers
array of objects

Required if tier_type != "flat" and usage_type == "percentage".
Array of objects which must have at least one set of tiers
per currency and the currency code. The tier_type must be volume or tiered,
if not, it must be absent. There must be one tier without an ending_amount_in_cents value
which represents the final tier.

percentage_tiers
string
length ≤ 13

The ID of a general ledger account. General ledger accounts are
only accessible as a part of the Recurly RevRec Standard and
Recurly RevRec Advanced features.

string
length ≤ 13

The ID of a general ledger account. General ledger accounts are
only accessible as a part of the Recurly RevRec Standard and
Recurly RevRec Advanced features.

string
length ≤ 13

The ID of a performance obligation. Performance obligations are
only accessible as a part of the Recurly RevRec Standard and
Recurly RevRec Advanced features.

Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/xml